/*!
 * Copyright (c) what3words http://what3words.com
 */
import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { D as DEFAULTS } from './constants.js';

const what3wordsSymbolCss = "@import url(\"https://fonts.googleapis.com/css?family=Source+Sans+Pro&display=swap\");what3words-symbol{display:-ms-inline-flexbox;display:inline-flex;-ms-flex-pack:center;justify-content:center;-ms-flex-align:center;align-items:center;font-family:\"Source Sans Pro\";font-style:normal;font-weight:normal;font-size:18px;line-height:23px}what3words-symbol .what3words-logo{display:inline-block}";

const What3wordsSymbol = /*@__PURE__*/ proxyCustomElement(class What3wordsSymbol extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.color = DEFAULTS.iconColor;
        this.size = DEFAULTS.symbolSize;
    }
    render() {
        return (h("svg", { key: '89e59ce38f727905f3491848ca88cdc6f73a07cb', viewBox: "0 0 32 32", class: "what3words-logo", style: {
                color: this.color,
                width: `${this.size}px`,
                height: `${this.size}px`,
            }, "data-testid": "what3words-symbol" }, h("path", { key: '218fe7aa7c9153c0499762959f09814cb1fb17a2', fill: "currentColor", d: "M10.7,4h2L4,28H2L10.7,4z M19.7,4h2L13,28h-2L19.7,4z M28.7,4h2L22,28h-2L28.7,4z" })));
    }
    static get style() { return what3wordsSymbolCss; }
}, [0, "what3words-symbol", {
        "color": [1],
        "size": [2]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["what3words-symbol"];
    components.forEach(tagName => { switch (tagName) {
        case "what3words-symbol":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, What3wordsSymbol);
            }
            break;
    } });
}
defineCustomElement();

export { What3wordsSymbol as W, defineCustomElement as d };
